Commit 572f255c authored by Sven Neumann's avatar Sven Neumann Committed by Sven Neumann

INSTALL handle gimpprint just like other libraries. It doesn't make sense

2005-10-28  Sven Neumann  <sven@gimp.org>

	* INSTALL
	* configure.in: handle gimpprint just like other libraries. It
	doesn't make sense any longer to require it.

	* app/paint/gimpink-blob.c: commented out unused code.
parent 58a93cc1
2005-10-28 Sven Neumann <sven@gimp.org>
* INSTALL
* configure.in: handle gimpprint just like other libraries. It
doesn't make sense any longer to require it.
* app/paint/gimpink-blob.c: commented out unused code.
2005-10-27 Manish Singh <yosh@gimp.org>
* app/paint-funcs/paint-funcs.h: declare component_pixels,
......
......@@ -50,8 +50,7 @@ header files installed.
5. You may want to install other third party libraries or programs
that are needed for some of the available plugins. We recommend
to check that the following libraries are installed: libpng,
libjpeg, libpoppler, libtiff, gimp-print (4.2.x), gtkhtml-2,
libmng, librsvg, libwmf.
libjpeg, libpoppler, libtiff, gtkhtml-2, libmng, librsvg, libwmf.
6. Configure the GIMP by running the `configure' script. You may want
to pass some options to it, see below.
......@@ -143,6 +142,13 @@ These are:
--without-gnomeprint. If you don't want to build the Print plug-in
that uses libgnomeprint, you can use --without-gnomeprint.
--without-gimpprint. The gimp-print plug-in provides Print support
by means of libgimpprint (see http://gimp-print.sourceforge.net/).
The gimp-print project has changed its name to gutenprint in the
meantime and you may find that libgimpprint 4.2 is somewhat outdated.
You can disable the build of this plug-in and instead grab a beta
release of gutenprint which comes with a GIMP plug-in.
--with-gif-compression=[lzw|rle|none]. Allows to tune the compression
algorithm used by the GIF plug-in. If you are afraid of Unisys' LZW
patent (which should have expired in most countries by now), you
......@@ -160,13 +166,6 @@ These are:
their API references so that the libgimp reference can link to
them.
--disable-print. The print plug-in requires a recent version of
libgimpprint. If you don't have it already installed, download
it from http://gimp-print.sourceforge.net/. You need to pass
--without-gimp to gimp-print's configure script to build it without
having gimp-1.2 installed. If you want to compile GIMP without
support for printing, use the --disable-print option.
--enable-mp. This options control whether to build GIMP with or without
support for multiple processors. This option is off by default. If
you do have multiply processors and run GIMP with an OS supporting
......@@ -280,10 +279,6 @@ certain place, e.g. if you are working in a bash shell you would say:
export CPPFLAGS="-I<path_to_header_file> -I<path_to_another_one>"
before you run configure.
* If the check for gimpprint fails even though you have version 4.2.x
installed, please try the latest available 4.2 package (which is
gimp-print 4.2.7 at the time of this writing).
Generic Instructions for Building Auto-Configured Packages
==========================================================
......
......@@ -48,6 +48,8 @@ static void blob_fill (Blob *b,
EdgeType *present);
static void blob_make_convex (Blob *b,
EdgeType *present);
#if 0
static void blob_line_add_pixel (Blob *b,
gint x,
gint y);
......@@ -56,6 +58,7 @@ static void blob_line (Blob *b,
gint y0,
gint x1,
gint y1);
#endif
/* public functions */
......@@ -753,6 +756,9 @@ blob_make_convex (Blob *b,
blob_fill (b, present);
}
#if 0
static void
blob_line_add_pixel (Blob *b,
gint x,
......@@ -858,3 +864,5 @@ blob_line (Blob *b,
}
}
}
#endif
......@@ -1284,10 +1284,9 @@ AC_SUBST(LIBGNOMEPRINT)
# Check for gimp-print
######################
AC_ARG_ENABLE(print, [ --disable-print build without print support (requires libgimpprint)])
AC_ARG_WITH(gimpprint, [ --without-gimpprint disable build of gimpprint plug-in])
have_gimp_print=no
if test "x$enable_print" != "xno"; then
if test "x$with_gimpprint" != xno; then
AM_PATH_GIMPPRINT(gimpprint_required_version,
[print_version=`$GIMPPRINT_CONFIG --version`
if expr $print_version \>= gimpprint_toonew_version >/dev/null; then
......@@ -1307,17 +1306,9 @@ dnl sanity check to avoid bug #125283
])
fi
if test x$enable_print != xno && test x$have_gimp_print != xyes; then
AC_MSG_ERROR([
*** Check for libgimpprint failed. You can download it from
*** http://gimp-print.sourceforge.net/ or you can build without it by passing
*** --disable-print to configure (but you won't be able to print then).])
fi
AC_SUBST(PRINT_LIBS)
AC_SUBST(PRINT_CFLAGS)
AM_CONDITIONAL(BUILD_PRINT,
test x$enable_print != xno && test x$have_gimp_print = xyes)
AM_CONDITIONAL(BUILD_PRINT, test x$have_gimp_print = xyes)
###################
......
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment